/// <reference types="react" />
import { BaseTestResultData } from "../../../Common/Testing/TestResultData";
import { TestResultDataType } from "../../../Common/Testing/TestResultDataType";
import { TreeRuleDefinition } from "./TreeRuleDefinition";
export declare class TreeRuleTestResult extends BaseTestResultData {
    type: TestResultDataType;
    private _definition?;
    set definition(definition: TreeRuleDefinition | undefined);
    get definition(): TreeRuleDefinition | undefined;
    private editContext?;
    render(): JSX.Element | undefined;
}
